+++
title = "Panel options"
weight = 900
+++

# Panel options

Panel options are common to all panels. They are basic options to add information and clarity to your panels. Fields are described below.

While not required, we recommend that you add a helpful title and description to all panels.

![](/static/img/docs/panels/panel-options-8-0.png)

## Title

Text entered in this field is displayed at the top of your panel in the panel editor and in the dashboard. You can use [variables you have defined]({{< relref "../variables/_index.md" >}}) in either field, but not [global variables]({{< relref "../variables/variable-types/global-variables.md" >}}).

## Description

Text entered in this field is displayed in a tooltip in the upper left corner of the panel. Write a description of the panel and the data you are displaying. Pretend you are explaining it to a new user six months from now, when it is no longer fresh in your mind. Future editors (possibly yourself) will thank you.

You can use [variables you have defined]({{< relref "../variables/_index.md" >}}) in either field, but not [global variables]({{< relref "../variables/variable-types/global-variables.md" >}}).

## Transparent background

Toggle the transparent background option on your panel display.

## Panel links

{{< docs/shared "panels/panel-links-intro.md" >}}

For more information, refer to [Panel links]({{< relref "../linking/panel-links.md" >}}).

## Repeat options

{{< docs/shared "panels/repeat-panels-intro.md" >}}

For more information, refer to [Repeat panels or rows]({{< relref "./repeat-panels-or-rows.md" >}}).
